package com.keystar.plane.inspection.service;

/**
 * @Author Lucien
 * @Date 2023-03-02 08:00:00
 * @Describe 报告接口类
 */

import com.keystar.plane.inspection.bo.PlaneInspectionResultBo;

import java.util.List;
import java.util.Map;

public interface IReportService {

    void createReport(Map<String, String> mFlyCountMap, Map<String, String> mSummaryMap, List<PlaneInspectionResultBo> planeInspectionResultBoList);

    String pic2Base64FromMinio(String minioAddr);

    String pic2Base64FromPath(String filePath);

}
